> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embeddables.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entries

> Retrieve all entries from the database



## OpenAPI

````yaml GET /projects/{projectId}/entries
openapi: 3.0.1
info:
  title: api
  version: 0.0.1
servers:
  - url: https://api.embeddables.com
    description: Production
security: []
paths:
  /projects/{projectId}/entries:
    get:
      tags:
        - Entries
      description: Retrieve all entries from the database
      operationId: entries_getEntries
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ProjectId'
          examples:
            Example1:
              value: pr_myexampleproject
            Example2:
              value: pr_myexampleproject
        - name: limit
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Limit'
            nullable: true
        - name: sort
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Sort'
            nullable: true
        - name: direction
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Direction'
            nullable: true
        - name: updated_after
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/DateTime'
            nullable: true
        - name: updated_before
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/DateTime'
            nullable: true
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
          examples:
            Example1:
              value: rk_myexampleapikey
            Example2:
              value: rk_incorrectkey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Entry'
              examples:
                Example1:
                  value:
                    - entry_id: entry_myexampleentry_1
                      group_id: group_myexamplegroup
                      project_id: pr_myexampleproject
                      embeddable_id: flow_myexampleflow
                      contact_id: contact_myexamplecontact_1
                      created_at: '2022-01-01T00:00:00Z'
                      updated_at: '2022-01-01T00:00:00Z'
                      entry_data: '{ "email": "ada@lovelace.com" }'
                    - entry_id: entry_myexampleentry_2
                      group_id: group_myexamplegroup
                      project_id: pr_myexampleproject
                      embeddable_id: flow_myexampleflow
                      contact_id: contact_myexamplecontact_2
                      created_at: '2022-01-01T00:00:00Z'
                      updated_at: '2022-01-01T00:00:00Z'
                      entry_data: '{ "email": "grace@hopper.com" }'
                    - entry_id: entry_myexampleentry_3
                      group_id: group_myexamplegroup
                      project_id: pr_myexampleproject
                      embeddable_id: flow_myexampleflow
                      contact_id: contact_myexamplecontact_3
                      created_at: '2022-01-01T00:00:00Z'
                      updated_at: '2022-01-01T00:00:00Z'
                      entry_data: '{ "email": "alan@turing.com" }'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorBody'
              examples:
                Example1:
                  value:
                    error:
                      code: unauthorized
                      message: >-
                        You are not authorized to access this project with the
                        API key provided.
                    projectId: pr_myexampleproject
components:
  schemas:
    ProjectId:
      title: ProjectId
      type: string
      description: The unique identifier for a Project in the database
    Limit:
      title: Limit
      type: integer
      description: The number of entries to return (defaults to 10).
    Sort:
      title: Sort
      type: string
      description: the key that you want to sort by (defaults to sorting by last updated)
    Direction:
      title: Direction
      type: string
      enum:
        - ASC
        - DESC
      description: The direction to sort by (defaults to DESC)
    DateTime:
      title: DateTime
      type: string
      description: A Date + Time string in ISO format
    Entry:
      title: Entry
      type: object
      properties:
        entry_id:
          $ref: '#/components/schemas/EntryId'
        group_id:
          $ref: '#/components/schemas/GroupId'
        project_id:
          $ref: '#/components/schemas/ProjectId'
        embeddable_id:
          $ref: '#/components/schemas/EmbeddableId'
        contact_id:
          $ref: '#/components/schemas/ContactId'
        created_at:
          $ref: '#/components/schemas/DateTime'
        updated_at:
          $ref: '#/components/schemas/DateTime'
        entry_data:
          $ref: '#/components/schemas/EntryData'
      required:
        - entry_id
        - group_id
        - project_id
        - embeddable_id
        - contact_id
        - created_at
        - updated_at
        - entry_data
    UnauthorizedErrorBody:
      title: UnauthorizedErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
      required:
        - error
        - projectId
    EntryId:
      title: EntryId
      type: string
      description: The unique identifier for an Entry in the database
    GroupId:
      title: GroupId
      type: string
      description: The unique identifier for a Group in the database
    EmbeddableId:
      title: EmbeddableId
      type: string
      description: The unique identifier for a Embeddable in the database
    ContactId:
      title: ContactId
      type: string
      description: The unique identifier for a Contact in the database
    EntryData:
      title: EntryData
      type: string
      description: The entry's user data, stringified
    ErrorBody:
      title: ErrorBody
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message

````